commit:     ff50e6ea6059b64f22af046cc85de3e60bef7d8e
Author:     Amadeusz Żołnowski <aidecoe <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  6 22:31:23 2018 +0000
Commit:     Amadeusz Piotr Żołnowski <aidecoe <AT> gentoo <DOT> org>
CommitDate: Tue Mar  6 23:20:23 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff50e6ea

sys-apps/firejail: Bump version

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-apps/firejail/Manifest                       |  1 +
 sys-apps/firejail/files/0.9.52-contrib-fix.patch | 36 +++++++++++++++++
 sys-apps/firejail/firejail-0.9.52.ebuild         | 49 ++++++++++++++++++++++++
 3 files changed, 86 insertions(+)

diff --git a/sys-apps/firejail/Manifest b/sys-apps/firejail/Manifest
index bab7c66c876..352f1a2abe9 100644
--- a/sys-apps/firejail/Manifest
+++ b/sys-apps/firejail/Manifest
@@ -3,3 +3,4 @@ DIST firejail-0.9.44.8.tar.xz 214624 BLAKE2B 
05faddb65ea1736ff0a098f5ac8ae8bec62
 DIST firejail-0.9.46.tar.xz 254748 BLAKE2B 
bf9c6af2bbc53c153d39c16b4d1720f61110e40b5b7a57fd1f4edc4d758d7edb3cbfde17dbc1865ab1d3ad7cfc58e28d0e4d6aab1109bcdf9a4fb0179d1f5c98
 SHA512 
839f3d6146129ceb9e9a613a51ce76d1d0a8a9ccab85c807bb0e71354b5c25fbc2a76e1004400bba8b70434dd886bc67250a2fe0b0eaa7d1ee65f6472bc9f786
 DIST firejail-0.9.48.tar.xz 257592 BLAKE2B 
6e346f97417ceb2fbd31779715b652130466dc007be6ebdca7f1d7c46a784b9f6a938370fc6abf50d131e1959001ffcbf9b98dc9968647339677a101b1d974ea
 SHA512 
63d2d8a6e6b3f505c88b132a3528ec5211ca5325e53ad1878b25bfb7d679b63af769443b464375a96ea5278b0edca98bd295256072dfa2e1a9d3ba829579b0b7
 DIST firejail-0.9.50.tar.xz 279488 BLAKE2B 
96d8e9161f0631ebfa400fd79c1d8d139d014da46cc2bf7fd3683f75ef7dced6a435e09e1733b675bc549662d50fddca9bd8811872a5ed186d731bb3c16903ea
 SHA512 
766fe8a0c65ddc717759f0ea54a4fe72213f43ecf241c385e484eb7e47bebd5896976998c76e6a5ef9c153d4007c2a01e9d942cc9f352c4b085fb02fe708a87d
+DIST firejail-0.9.52.tar.xz 299396 BLAKE2B 
62b7798e46b69f1ae12ac85f219cc7414652e64d3bf9e1b206f8956febdc53c78151f08052fe694c691b787356b6821e8ff0df71a4277a238a4dc7d724165969
 SHA512 
f7318bcbd68f6d8c709cdc1f5065cb1019c1c64fdbd47c0fd698975412c4e075c7209bd275056daf61558b79d79127c88f1580cb8e4e034cc0551c7d34e11d06

diff --git a/sys-apps/firejail/files/0.9.52-contrib-fix.patch 
b/sys-apps/firejail/files/0.9.52-contrib-fix.patch
new file mode 100644
index 00000000000..7192bba3480
--- /dev/null
+++ b/sys-apps/firejail/files/0.9.52-contrib-fix.patch
@@ -0,0 +1,36 @@
+diff -Naur firejail-0.9.48/contrib/fix_private-bin.py 
firejail-0.9.48.new/contrib/fix_private-bin.py
+--- firejail-0.9.48/contrib/fix_private-bin.py 2017-05-24 23:01:32.000000000 
+0100
++++ firejail-0.9.48.new/contrib/fix_private-bin.py     2017-08-27 
23:19:52.868481040 +0100
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python3
++#!/usr/bin/env python3
+ 
+ __author__ = "KOLANICH"
+ __copyright__ = """This is free and unencumbered software released into the 
public domain.
+diff -Naur firejail-0.9.48/contrib/fjclip.py 
firejail-0.9.48.new/contrib/fjclip.py
+--- firejail-0.9.48/contrib/fjclip.py  2017-05-24 23:01:32.000000000 +0100
++++ firejail-0.9.48.new/contrib/fjclip.py      2017-08-27 23:19:58.476562539 
+0100
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env python
++#!/usr/bin/env python2
+ 
+ import re
+ import sys
+diff -Naur firejail-0.9.48/contrib/fjdisplay.py 
firejail-0.9.48.new/contrib/fjdisplay.py
+--- firejail-0.9.48/contrib/fjdisplay.py       2017-05-24 23:01:32.000000000 
+0100
++++ firejail-0.9.48.new/contrib/fjdisplay.py   2017-08-27 23:20:01.932612762 
+0100
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env python
++#!/usr/bin/env python2
+ 
+ import re
+ import sys
+diff -Naur firejail-0.9.48/contrib/fjresize.py 
firejail-0.9.48.new/contrib/fjresize.py
+--- firejail-0.9.48/contrib/fjresize.py        2017-05-24 23:01:32.000000000 
+0100
++++ firejail-0.9.48.new/contrib/fjresize.py    2017-08-27 23:20:06.932685422 
+0100
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env python
++#!/usr/bin/env python2
+ 
+ import sys
+ import fjdisplay

diff --git a/sys-apps/firejail/firejail-0.9.52.ebuild 
b/sys-apps/firejail/firejail-0.9.52.ebuild
new file mode 100644
index 00000000000..ac978533eb6
--- /dev/null
+++ b/sys-apps/firejail/firejail-0.9.52.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="Security sandbox for any type of processes"
+HOMEPAGE="https://firejail.wordpress.com/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="apparmor +bind +chroot contrib +file-transfer +network
+       network-restricted +seccomp +userns x11"
+
+DEPEND="!sys-apps/firejail-lts
+       apparmor? ( sys-libs/libapparmor )"
+RDEPEND="${DEPEND}
+       x11? ( x11-wm/xpra[client,server] )"
+
+PATCHES=( "${FILESDIR}/${PV}-contrib-fix.patch" )
+
+RESTRICT=test
+
+src_prepare() {
+       default
+       find -name Makefile.in -exec sed -i -r \
+                       -e '/^\tinstall .*COPYING /d' \
+                       -e '/CFLAGS/s: (-O2|-ggdb) : :g' \
+                       -e '1iCC=@CC@' {} + || die
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable apparmor)
+               $(use_enable bind)
+               $(use_enable chroot)
+               $(use_enable contrib contrib-install)
+               $(use_enable file-transfer)
+               $(use_enable network)
+               $(use_enable seccomp)
+               $(use_enable userns)
+               $(use_enable x11)
+       )
+       use network-restricted && myeconfargs+=( --enable-network=restricted )
+       econf "${myeconfargs[@]}"
+}

Reply via email to